%h3.page-title
  %i.icon-code-fork
  = t("projects_section.branches.new_branch")
= form_tag project_branches_path, method: :post, class: "form-horizontal" do
  .form-group
    = label_tag :branch_name, t("projects_section.branches.name_for_branch"), class: 'control-label'
    .col-sm-10
      = text_field_tag :branch_name, nil, placeholder: t("projects_section.branches.enter_new_branch_name"), required: true, tabindex: 1, class: 'form-control'
  .form-group
    = label_tag :ref, t("projects_section.branches.create_from"), class: 'control-label'
    .col-sm-10
      = text_field_tag :ref, nil, placeholder: t("projects_section.branches.existing_branch_name"), required: true, tabindex: 2, class: 'form-control'
  .form-actions
    = submit_tag t("projects_section.branches.create_branch"), class: 'btn btn-create', tabindex: 3
    = link_to t("projects_section.branches.cancel"), project_branches_path(@project), class: 'btn btn-cancel'

:javascript
  var availableTags = #{@project.repository.ref_names.to_json};

  $("#ref").autocomplete({
    source: availableTags,
    minLength: 1
  });
